osgUtil::Tessellator::Prim Struct Reference

`#include <Tessellator>`

Inheritance diagram for osgUtil::Tessellator::Prim:

## Public Types

typedef std::vector< osg::Vec3 * > | VecList

## Public Member Functions

| Prim (GLenum mode)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

GLenum | _mode
VecList | _vertices

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Typedef Documentation

## VecList

typedef std::vector<osg::Vec3*> osgUtil::Tessellator::Prim::VecList

## Constructor & Destructor Documentation

## Prim()

osgUtil::Tessellator::Prim::Prim | ( | GLenum | mode | ) |

inline

References _mode.

## Member Data Documentation

## _mode

GLenum osgUtil::Tessellator::Prim::_mode

Referenced by Prim().

## _vertices

VecList osgUtil::Tessellator::Prim::_vertices

The documentation for this struct was generated from the following file:

- Tessellator